Method: spaces.streamMessages.appendStreamMessageContent

Appends content chunks to an existing stream message in a Google Chat space.

Requires app authentication with the authorization scope:

  • https://www.googleapis.com/auth/chat.bot

HTTP request

POST https://chat.googleapis.com/v1/{name=spaces/*/streamMessages/*}:appendStreamMessageContent

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the stream message to append content to. Format: spaces/{space}/streamMessages/{streamMessage}

Request body

The request body contains data with the following structure:

JSON representation
{
  "chunkToken": string,
  "progressText": string,
  "streamContentChunks": [
    {
      object (StreamContentChunk)
    }
  ]
}
Fields
chunkToken

string

Required. Token for appending the next chunk of content, obtained from the nextChunkToken field of the previous stream response.

progressText

string

Optional. Updated plain-text progress status for the stream message. Maximum length is 250 characters. If omitted or empty, the existing progressText is preserved.

streamContentChunks[]

object (StreamContentChunk)

Required. A list of chunks to append to the message.

Response body

If successful, the response body contains an instance of StreamMessage.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/chat.bot
  • https://www.googleapis.com/auth/chat.messages

For more information, see the Authorization guide.